//
//  MWAudioDecoder.h
//  videoGL
//
//  Created by Romain Criton on 28/07/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MWMediaFile.h"
#import "FIFOStack.h"
#import "AudioToolbox/AudioToolbox.h"
#import "AudioToolbox/AudioFile.h"


@interface MWAudioDecoder : NSObject
{
	// Properties
	FIFOStack *_inputBuffer;
	
	void *_state;
	AudioTimeStamp _startTime;
	double _hostTime2SecFactor;
}

-(id)initWithPath:(NSString *)filePath inputBuffer:(FIFOStack *)buf;
-(void)prime;
-(void)play;
-(NSTimeInterval)getCurrentAudioTime;

@property (nonatomic, retain) FIFOStack *inputBuffer;

@end
