//
//  MWVideoFrame.h
//  videoGL
//
//  Created by Romain Criton on 19/08/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface MWVideoFrame : NSObject
{
	void *_data;
	uint _width;
	uint _height;
	NSTimeInterval _timestamp;
}

-(id)initWithData:(void *)data width:(uint)width height:(uint)height;

@property (nonatomic, readonly) void *data;
@property (nonatomic, readonly) uint width;
@property (nonatomic, readonly) uint height;
@property (nonatomic, assign) NSTimeInterval timestamp;

@end
