//
//  VARSphere.h
//  videoGL
//
//  Created by Romain on 29/04/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "VARObject.h"
#import "VARTexture.h"


@interface VARSphere : VARObject
{
	GLfloat _radius;
	int _precision;
	TexturedVertex3D *_vertexData;
	int _numVertices;
	VARTexture *_texture;
}

-(id)initWithRadius:(GLfloat)r;
-(id)initWithRadius:(GLfloat)r precision:(int)n;

@property (nonatomic) GLfloat radius;
@property (nonatomic) int precision;
@property (nonatomic, retain) VARTexture *texture;

@end
