//
//  VARTexture.h
//  VirtuAR
//
//  Created by Romain on 01/03/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <OpenGLES/ES1/gl.h>
#import <OpenGLES/ES1/glext.h>

@interface VARTexture : NSObject
{
	@public
	GLuint width;
	GLuint height;
	GLint wrapS;
	GLint wrapT;
	GLint minFilter;
	GLint magFilter;

	GLuint name[1];
	@private
}

-(void)bind;
-(void)redraw;
-(void)setDataFromUIImage:(UIImage *)img;
-(void)updateDataFromUIImage:(UIImage *)img;
-(void)setDataFromRaw:(void *)img width:(GLuint)w height:(GLuint)h;
-(void)updateDataFromRaw:(void *)img width:(GLuint)w height:(GLuint)h;

@property (nonatomic) GLuint width;
@property (nonatomic) GLuint height;
@property (nonatomic) GLint wrapS;
@property (nonatomic) GLint wrapT;
@property (nonatomic) GLint minFilter;
@property (nonatomic) GLint magFilter;

@end
