//
//  RootViewController.h
//  VirtuAR
//
//  Created by Romain on 09/02/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>
#import "VARGLutils.h"
#import "VAR3DSprite.h"
#import "MWMediaPlayer.h"

@interface GLViewController : UIViewController <CLLocationManagerDelegate, UIAccelerometerDelegate,
												MWMediaPlayerDelegate>
{
	CLLocationManager *locManager;
	MWMediaPlayer *_mediaPlayer;
	
	Vector3D accel;
	CLLocationDirection direction;
	
	BOOL _firstFrame;
	uint _nbFrames;
	NSTimeInterval _lastFPSReport;;
	NSTimeInterval _lastFrameTimeStamp;
	NSTimeInterval _lastFrameLength;
	uint _headingFrames;
	
	float lastFrameTime;
	
	VAR3DSprite *sprite;
	NSString *_videoPath;
	BOOL _touchView;
	BOOL _tracking;
}

@property (nonatomic, retain) NSString *videoPath;



@end
