//
//  MWMediaPacket.m
//  videoGL
//
//  Created by Romain Criton on 19/08/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "MWMediaPacket.h"
#include "libavformat/avformat.h"

@implementation MWMediaPacket

@synthesize data = _data;
@synthesize video = _video;

-(id)init
{
	return [self initWithData:NULL];
}

-(id)initWithData:(void *)data
{
	self = [super init];
	if(self == nil) return self;
	
	_data = data;
	_video = NO;
	
	return self;
}

-(void)dealloc
{
	if(_data != NULL)
	{
		av_free_packet(_data);
	}
	[super dealloc];
}

@end
