//
//  MWVideoFrame.m
//  videoGL
//
//  Created by Romain Criton on 19/08/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "MWVideoFrame.h"


@implementation MWVideoFrame
@synthesize data = _data;
@synthesize width = _width;
@synthesize height = _height;
@synthesize timestamp = _timestamp;

-(id)initWithData:(void *)data width:(uint)width height:(uint)height
{
	self = [super init];
	if(self == nil) return self;
	
	_data = data;
	_width = width;
	_height = height;
	
	return self;
}

-(void)dealloc
{
	if(_data != NULL)
	{
		free(_data);
	}
	
	[super dealloc];
}
@end
